Loading...
Searching...
No Matches
concatenated_sequences.hpp File Reference

Provides seqan3::concatenated_sequences. More...

`#include <iterator>`
`#include <ranges>`
`#include <type_traits>`
`#include <vector>`
`#include <seqan3/core/concept/cereal.hpp>`
`#include <seqan3/utility/container/concept.hpp>`
`#include <seqan3/utility/views/repeat_n.hpp>`
`#include <seqan3/utility/views/slice.hpp>`
Include dependency graph for concatenated_sequences.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | seqan3::concatenated_sequences< underlying_container_type, data_delimiters_type >
| Container that stores sequences concatenated internally. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Detailed Description

Provides seqan3::concatenated_sequences.

Author
  Hannes Hauswedell <hannes.hauswedell AT fu-berlin.de>

Hide me